#!/etc/opt/openit/perl

print "Locating lsof binary.\n";

open(IN, "PATH=/bin:/usr/bin:/sbin:/usr/sbin which lsof |");
my @lines = <IN>;
close(IN);

my $lsof;
foreach my $line (@lines) {
    chomp($line);
    if ($line =~ /lsof/) {
	$lsof = $line;
	last;
    }
}
if( ! defined $lsof || $lsof eq "" ) {
    print "No lsof found.\n";
    exit( 1 );
}

if (-l "/opt/openit/bin/lsof" ) {
    unlink("/opt/openit/bin/lsof");
}


if ( ! symlink($lsof, "/opt/openit/bin/lsof") ) {
    exit( 1 );
}
print "lsof linked.\n";
exit( 0 );
